Skip to main content
`Ctrl`+`K`

# DMPlexTransformGetSourcePoint

Get the number of a point in the original mesh based on information from the transformed mesh.

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformGetSourcePoint(DMPlexTransform tr, PetscInt pNew, DMPolytopeType *ct, DMPolytopeType *ctNew, PetscInt *p, PetscInt *r)

Not Collective

## Input Parameters

- tr - The `DMPlexTransform`

- pNew - The new point number

## Output Parameters

- ct - The type of the original point which produces the new point

- ctNew - The type of the new point

- p - The original point which produces the new point

- r - The replica number of the new point, meaning it is the rth point of type ctNew produced from p

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPolytopeType`, `DMPlexTransformGetTargetPoint()`, `DMPlexTransformCellTransform()`

## Level

developer

## Location

src/dm/impls/plex/transform/interface/plextransform.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages